Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## at.plot.soapclient
Class DemoSOAPClientSecure

    java.lang.Object
      |
      +--at.plot.soapclient.DemoSOAPClientSecure

public class DemoSOAPClientSecure
extends java.lang.Object

Title: SOAP-Client für Demonstrationszwecke

Description: Beispiel eines SOAP-Clients zum Aufruf des SOAP-Servers für Demonstrationszwecke

Copyright: Copyright (c) 2002

Company: Plot

Constructor Summary
`DemoSOAPClientSecure()` Standard-Constructor

Method Summary
`static void` | `main(java.lang.String[] args)` Methode zum Aufruf der Java-Applikation.
`at.plot.soapclient.DemoSOAPClientSecure.SoapReceive` | `sendSOAPCall(at.plot.soapclient.DemoSOAPClientSecure.SoapSend pSoapSend)` Führt einen SOAP-Aufruf durch.
`static java.lang.String` | `toString(java.io.File pFile)` Gibt den Inhalt des Files `pFile` als String zurück.
`static void` | `writeResponse(java.io.File pFile, at.plot.soapclient.DemoSOAPClientSecure.SoapReceive pSoapReceive)` Schreibt die Antwort des SOAP-Calls (`SoapReceive.message`) in die Datei `pFile`.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DemoSOAPClientSecure

    public DemoSOAPClientSecure()

  Standard-Constructor

Method Detail

### main

    public static void main(java.lang.String[] args)

  Methode zum Aufruf der Java-Applikation.
  Parameters:
    `args` - beinhaltet die benötigten Aufrufparameter.

### toString

    public static java.lang.String toString(java.io.File pFile)

  Gibt den Inhalt des Files `pFile` als String zurück.
  Parameters:
    `pFile` - das zu lesende File.
  Returns:
    den Inhalt des Files als String.

### sendSOAPCall

    public at.plot.soapclient.DemoSOAPClientSecure.SoapReceive sendSOAPCall(at.plot.soapclient.DemoSOAPClientSecure.SoapSend pSoapSend)

  Führt einen SOAP-Aufruf durch.
  Parameters:
    `pSoapSend` - Instanz der Klasse SoapSend mit den Daten, die für den SOAP-Aufruf benötigt werden.
  Returns:
    die Antwort des SOAP-Aufrufs.

### writeResponse

    public static void writeResponse(java.io.File pFile,
                                     at.plot.soapclient.DemoSOAPClientSecure.SoapReceive pSoapReceive)

  Schreibt die Antwort des SOAP-Calls (`SoapReceive.message`) in die Datei `pFile`.
  Parameters:
    `pFile` - die Datei, in der die SOAP-Antwort abgespeichert wird.
    `pSoapReceive` -

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD